# TODO: write a client to make multiple requests to the server!
import subprocess, json, time
import requests


def response_to_file(response_str, fname):
    fout = open(fname, "w")
    fout.write(response_str)
    fout.close()


if __name__ == "__main__":
    start = time.time()
    # 1) Read Original CoNLLU file properly
    conll_files = ["mini_test_raw.conllu", "mini_test_raw.conllu"]
    f = conll_files[0]
    
    # raw_text = "Das ist eine normales deutsche Satz von viele Satzen velleicht."
    raw_text = subprocess.run(f"sed 's/^# /###C: /g' {f}", shell=True, stdout=subprocess.PIPE) # , stderr=open(f"log_{f}.txt", "w")
    
    # 2) For each file make a request to obtain the parse back
    response = requests.post("http://localhost:7689/", data=raw_text.stdout)
    print(response.text)
    out_file_str = f.split(".")[0]+".parsed.conllu"
    response_to_file(response.text, out_file_str)
    
    end = time.time()
    print(f"Process took {(end - start)} seconds!")
    
    # 3)TODO: How to Parallelize this?